#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
#include <avr/power.h>
#endif

#define PIN 6
#define NPIXELS 9
unsigned long int color[6]={16711680,10040064,16776960,65280,255,16711935};
unsigned long int color1[9]={16711680,16753920,16776960,11403055,65280,52945,255,10451438,16711935};
               
// Parameter 1 = number of pixels in strip
// Parameter 2 = Arduino pin number (most are valid)
// Parameter 3 = pixel type flags, add together as needed:
//   NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)
//   NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)
//   NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)
//   NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)
//   NEO_RGBW    Pixels are wired for RGBW bitstream (NeoPixel RGBW products)
Adafruit_NeoPixel strip = Adafruit_NeoPixel(NPIXELS, PIN, NEO_GRB + NEO_KHZ800);
Adafruit_NeoPixel pixels = Adafruit_NeoPixel(NPIXELS, PIN, NEO_GRB + NEO_KHZ800);

// IMPORTANT: To reduce NeoPixel burnout risk, add 1000 uF capacitor across
// pixel power leads, add 300 - 500 Ohm resistor on first pixel's data input
// and minimize distance between Arduino and first pixel.  Avoid connecting
// on a live circuit...if you must, connect GND first.

void setup() {
  // This is for Trinket 5V 16MHz, you can remove these three lines if you are not using a Trinket
  #if defined (__AVR_ATtiny85__)
    if (F_CPU == 16000000) clock_prescale_set(clock_div_1);
  #endif
  // End of trinket special code
  pixels.begin();
  strip.begin();
  strip.show(); // Initialize all pixels to 'off'
}

void loop() 
{
 strip.setBrightness(255);
 for(int i=0;i<6;i++)
  {
    for(int j=0;j<NPIXELS;j++)
    {
    strip.setPixelColor(j,color[i]); 
    strip.show();
    delay(50); // Delay for a period of time (in milliseconds).
    strip.setPixelColor(j, pixels.Color(0,0,0));//Set the pixels to 'off'
  }
}

for(int i=0;i<6;i++)
  {
    for(int j=0;j<NPIXELS;j++)
    {
    strip.setPixelColor(j,color[i]); 
    strip.show();
    delay(50); // Delay for a period of time (in milliseconds).
    }
    colorWipe(strip.Color(0, 0, 0), 1); //Set the pixels to 'off
  }

for(int k=0;k<6;k++)
{
   for(int i=0;i<255;i+=5)
  {
  strip.setBrightness(i);
  colorWipe(color[k], 1); 
  }

for(int j=255;j>0;j-=5)
 {
   strip.setBrightness(j);
   colorWipe(color[k], 1); 
  }
}

  while(1)
  {
    strip.setBrightness(255);
    for(int i=0;i<NPIXELS;i++)
    {
    strip.setPixelColor(i,color1[i]); 
     }
    strip.show();
  }
}
    
// Fill the dots one after the other with a color
void colorWipe(uint32_t c, uint8_t wait) {
  for(uint16_t i=0; i<strip.numPixels(); i++) {
    strip.setPixelColor(i, c);
    strip.show();
    delay(wait);
  }
}

